YAFLogo

henrytai
  • henrytai
  • 57.2% (Neutral)
  • YAF Camper Topic Starter
2021-07-02T08:02:23Z
Dear support!

Currently, I am using the search function on the forum, but I am getting an error. Specifically, when I search for keywords, I get an error as described.

Please help me!

Thank you.

2021-07-02_14-56-32.jpg

Click to View Image11 View(s)

Sponsor
tha_watcha
  • tha_watcha
  • 100% (Exalted)
  • YAF.NET Project Lead 🤴 YAF Version: 3.0.0
2021-07-02T09:03:25Z
If the error occurs then you didn't update the web.config on upgrade, as suggested on the upgrade guide!

https://github.com/YAFNET/YAFNET/wiki/Upgrade-(from-Version-1.9.5.5-or-above) 

The dependentAssembly references need to be updated.


UserPostedImage
henrytai
  • henrytai
  • 57.2% (Neutral)
  • YAF Camper Topic Starter
2021-07-03T03:57:16Z
Dear support,

I post the config file here. Can you take a look and edit it for me, I tried to follow the upgrade instructions but it didn't work.

Thank you.

tha_watcha
  • tha_watcha
  • 100% (Exalted)
  • YAF.NET Project Lead 🤴 YAF Version: 3.0.0
2021-07-03T08:47:44Z
Sorry the wiki was not up to date..

Change line from...

<dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.Primitives" publicKeyToken="ADB9793829DDAE60" culture="neutral"/>
        <bindingRedirect oldVersion="0.0.0.0-3.1.7.0" newVersion="3.1.7.0"/>
      </dependentAssembly>

to...

<dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.Primitives" publicKeyToken="ADB9793829DDAE60" culture="neutral"/>
        <bindingRedirect oldVersion="0.0.0.0-5.0.0.1" newVersion="5.0.0.1"/>
      </dependentAssembly>

UserPostedImage
henrytai
  • henrytai
  • 57.2% (Neutral)
  • YAF Camper Topic Starter
2021-07-09T03:27:48Z
Thank you so much.

I did it